<?php

require_once 'connect.php';
require_once 'inc/messages.php';

// retorna array com lista de módulos, ou false se deu erro
function ramo_atividade_getAll() {
  global $conexao;
  $sql = 'select * from erpc_ramo_atividade where st_ativo=?';
  $values[] = '1';
  $result = _prepareAndQuery($sql, $values);
  return $result;
}

// retorna array associativo com objeto, ou false se deu erro/não encontrar
function ramo_atividade_getById($id) {
  global $conexao;
  $sql = 'select * from erpc_ramo_atividade where id=? and st_ativo=1';
  $values[] = $id;
  $result = _prepareAndQuery($sql, $values);
  if ($result !== false) {
    if (count($result) === 1) {
      $result = $result[0];
    } else {
      $result = false;
      addError('Id não encontrado');
    }
  }

  return $result;
}

// insere novo módulo
function ramo_atividade_insert($ramo_atividade, &$error=null) {
  global $conexao;
  $ok = false;
  $sql = 'insert into erpc_ramo_atividade ';
  $campos = array('ds_ramo_atividade', 'st_ativo');
  $values = array($ramo_atividade['ds_ramo_atividade'], $ramo_atividade['st_ativo']);
  $sql .= '(' . implode(',', $campos) . ') values (' . trim(str_repeat('?,', count($values)), ',') . ')';

  $ok = _prepareAndExecute($sql, $values, $error);
  if ($ok !== false) {
    if ($error === null) {
      addMessage('Inserido com sucesso');
    }
  }
  return $ok;
}

// altera a senha do usuário
function ramo_atividade_update($ramo_atividade) {
  global $conexao;
  $ok = false;
  $sql = 'update erpc_ramo_atividade set ds_ramo_atividade = ?';
  $values = array($ramo_atividade['ds_ramo_atividade']);
  $sql .= ' where id = ?';
  $values[] = $ramo_atividade['id'];
  $ok = _prepareAndExecute($sql, $values);
  if ($ok !== false) {
    addMessage('Atualizado com sucesso');
  }
  return $ok;
}

function ramo_atividade_delete($ramo_atividade) {
  global $conexao;
  $ok = false;
  $sql = 'update erpc_ramo_atividade set st_ativo = 0';
  $values = array();
  $sql .= ' where id = ?';
  $values[] = $ramo_atividade['id'];
  $ok = _prepareAndExecute($sql, $values);
  if ($ok !== false) {
    addMessage('Removido com sucesso');
  }
  return $ok;
}

function ramo_atividade_create() {
  $ramo_atividade = array(
    'id' => '',
    'ds_ramo_atividade' => '',
    'st_ativo' => '1',
  );
  return $ramo_atividade;
}
